<?php
require './template/header.php';
require './library/database.php';
require './library/thaidate.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
	$userid = $con->real_escape_string($_POST['userid']);
	$password = $con->real_escape_string($_POST['password']);
	$confirm_password = $con->real_escape_string($_POST['confirm_password']);
	$sex = $con->real_escape_string($_POST['sex']);
	$email = $con->real_escape_string($_POST['email']);
	$birthdate = $con->real_escape_string($_POST['birthdate']);
	$code = $con->real_escape_string($_POST['code']);
	$last_ip = getIP();

	$reg = $con->query("SELECT userid FROM `login` WHERE userid='{$userid}'");
	$res_login = $reg->fetch_object();

	if (empty($userid) || empty($password) || empty($confirm_password) || empty($sex) || empty($email) || empty($birthdate) || empty($code)) {
		echo '<script type="text/javascript">';
		echo 'setTimeout(function () {';
		echo 'Swal.fire("เกิดข้อผิดพลาด !","โปรดระบุข้อมูลให้ชัดเจนมากกว่านี้","error").then( function(result) {';
		echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/register.php\';';
		echo '});';
		echo '}, 200);</script>';
	} elseif ($code != $_SESSION['security_code']) {
		echo '<script type="text/javascript">';
		echo 'setTimeout(function () {';
		echo 'Swal.fire("เกิดข้อผิดพลาด !","Security Code ไม่ถูกต้อง ลองใหม่อีกครั้ง","error").then( function(result) {';
		echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/register.php\';';
		echo '});';
		echo '}, 200);</script>';
	} elseif (!preg_match("/^[A-Z0-9-]+$/i", $userid) || !preg_match("/^[A-Z0-9-]+$/i", $password)) {
		echo '<script type="text/javascript">';
		echo 'setTimeout(function () {';
		echo 'Swal.fire("เกิดข้อผิดพลาด !","Username & Password ระบุได้เฉพาะอังกฤษเท่านั้น","error").then( function(result) {';
		echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/register.php\';';
		echo '});';
		echo '}, 200);</script>';
	} elseif ((strlen($userid) < 6) || (strlen($userid) > 23)) {
		echo '<script type="text/javascript">';
		echo 'setTimeout(function () {';
		echo 'Swal.fire("เกิดข้อผิดพลาด !","Username ต้องมีความยาว 6-23 ตัวอักษรขึ้นไป","error").then( function(result) {';
		echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/register.php\';';
		echo '});';
		echo '}, 200);</script>';
	} elseif ((strlen($password) < 6) || (strlen($password) > 23)) {
		echo '<script type="text/javascript">';
		echo 'setTimeout(function () {';
		echo 'Swal.fire("เกิดข้อผิดพลาด !","Password ต้องมีความยาว 6-23 ตัวอักษรขึ้นไป","error").then( function(result) {';
		echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/register.php\';';
		echo '});';
		echo '}, 200);</script>';
	} elseif ($password != $confirm_password) {
		echo '<script type="text/javascript">';
		echo 'setTimeout(function () {';
		echo 'Swal.fire("เกิดข้อผิดพลาด !","คุณระบุรหัสผ่านไม่ตรงกัน ลองใหม่อีกครั้ง","error").then( function(result) {';
		echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/register.php\';';
		echo '});';
		echo '}, 200);</script>';
	} elseif ($sex != "M" && $sex != "F") {
		echo '<script type="text/javascript">';
		echo 'setTimeout(function () {';
		echo 'Swal.fire("เกิดข้อผิดพลาด !","คุณยังไม่ได้เลือกเพศตัวละคร ลองใหม่อีกครั้ง","error").then( function(result) {';
		echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/register.php\';';
		echo '});';
		echo '}, 200);</script>';
	} elseif (!preg_match("/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,})$/i", $email)) {
		echo '<script type="text/javascript">';
		echo 'setTimeout(function () {';
		echo 'Swal.fire("เกิดข้อผิดพลาด !","คุณระบุรูปแบบอีเมลไม่ถูกต้อง ลองใหม่อีกครั้ง","error").then( function(result) {';
		echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/register.php\';';
		echo '});';
		echo '}, 200);</script>';
	} elseif ($_POST['rules'] != "1") {
		echo '<script type="text/javascript">';
		echo 'setTimeout(function () {';
		echo 'Swal.fire("เกิดข้อผิดพลาด !","คุณยังไม่ได้ยอมรับข้อตกลง ลองใหม่อีกครั้ง","error").then( function(result) {';
		echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/register.php\';';
		echo '});';
		echo '}, 200);</script>';
	} elseif ($reg->num_rows > 0) {
		echo '<script type="text/javascript">';
		echo 'setTimeout(function () {';
		echo 'Swal.fire("เกิดข้อผิดพลาด !","ID : ' . $res_login->userid . ' ถูกใช้งานแล้ว","error").then( function(result) {';
		echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/register.php\';';
		echo '});';
		echo '}, 200);</script>';
	} else {
		$query_reg = $con->query("INSERT INTO `login` (userid,user_pass,sex,email,last_ip,birthdate) VALUES ('{$userid}','{$password}','{$sex}','{$email}','{$last_ip}','{$birthdate}')");

		if ($query_reg == TRUE) {
			echo '<script type="text/javascript">';
			echo 'setTimeout(function () {';
			echo 'Swal.fire("ยินดีต้อนรับสมาชิกใหม่","สมัครสมาชิกเสร็จเรียบร้อย","success").then( function(result) {';
			echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/register.php\';';
			echo '});';
			echo '}, 200);  </script>';
		} else {
			echo '<script type="text/javascript">';
			echo 'setTimeout(function () {';
			echo 'Swal.fire("เกิดข้อผิดพลาด !","คุณมีปัญหาการสมัครสมาชิกใช่หรือไม่ โปรดแจ้งทีมงาน Hear-RO","error").then( function(result) {';
			echo 'if (result.isConfirmed) window.location.href = \'' . $app_url . '/register.php\';';
			echo '});';
			echo '}, 200);</script>';
		}
	}
}
?>
<section class="fxt-template-animation fxt-template-layout22" data-bg-image="<?= $app_url ?>/assets/img/figure/bg.jpg">
	<!-- Star Animation Start Here -->
	<div class="star-animation">
		<div id="stars4"></div>
		<div id="stars5"></div>
	</div>
	<!-- Star Animation End Here -->
	<div class="container">
		<div class="row align-items-center justify-content-md-center">
			<div class="col-lg-9 col-12 fxt-bg-color">
				<div class="fxt-content">
					<div class="fxt-form">
						<h2>สมัครสมาชิก</h2>
						<p>สร้างบัญชีเพื่อเข้าใช้งาน</p>
						<div id="status" class="mt-3"></div>
						<form class="row g-3" action="<?= $app_url ?>/register.php" method="post">
							<div class="col-md-6">
								<div class="form-group">
									<label for="name" class="input-label">Username ID</label>
									<input type="text" id="name" class="form-control" name="userid" placeholder="โปรดระบุไอดีเกมส์" required="required">
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label for="email" class="input-label">Email</label>
									<input type="email" id="email" class="form-control" name="email" placeholder="Hear-RO@gmail.com" required="required">
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label for="sexjob" class="input-label">Sex</label>
									<select id="sexjob" name="sex" class="form-select">
										<option selected>โปรดเลือกรายการ</option>
										<option value="F">เพศหญิง</option>
										<option value="M">เพศชาย</option>
									</select>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label for="date" class="input-label">BirthDate</label>
									<input type="date" id="date" class="form-control" name="birthdate" required="required">
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label for="password" class="input-label">Password</label>
									<input id="password" type="password" class="form-control" name="password" placeholder="********" required="required">
									<i toggle="#password" class="fa fa-fw fa-eye toggle-password field-icon"></i>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label for="re-password" class="input-label">Confirm Password</label>
									<input id="re-password" type="password" class="form-control" name="confirm_password" placeholder="********" required="required">
									<i toggle="#re-password" class="fa fa-fw fa-eye toggle-password field-icon"></i>
								</div>
							</div>
							<div class="col-md-12">
								<div class="form-group">
									<div class="fxt-checkbox-area">
										<label for="pass" class="input-label">Security Code</label>
										<p><img src="<?= $app_url ?>/library/captcha.php"></p>
										<input id="number" type="pass" class="form-control" name="code" placeholder="Ex.โปรดระบุอักษรตามรูปภาพข้างบน" required="required">
									</div>
								</div>
								<div class="form-check form-switch">
									<input class="form-check-input" type="checkbox" name="rules" value="1" id="checkbox">
									<a data-bs-toggle="modal" data-bs-target="#RulesModal"><label class="form-check-label" for="checkbox">ยอมรับข้อตกลงในการสร้างบัญชีผู้ใช้งานหรือไม่ <span style="color:red">(โปรดอ่านก่อน!)</span></label></a>
								</div>
							</div>
							<div class="col-md-12">
								<div class="form-group">
									<button type="submit" class="fxt-btn-fill">สมัครสมาชิก</button>
								</div>
							</div>
						</form>
						<div class="fxt-footer">
							<p>คุณมีไอดีเกมส์แล้วใช่หรือไม่ ?<a href="login.php" class="switcher-text2 inline-text">เข้าสู่ระบบ</a></p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- Modal -->
<div class="modal fade" id="RulesModal" data-bs-backdrop="static" tabindex="-1" aria-labelledby="RulesModalLabel" aria-hidden="true">
	<div class="modal-dialog modal-xl">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="RulesModalLabel">ข้อตกลงและกฏกติกาของเซิร์ฟเวอร์</h5>
				<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
			</div>
			<div class="modal-body">
				<ul class="list-group list-group-flush">
					<li class="list-group-item">ทีมงานมีสิทธิทุกอย่างในการ ปรับปรุง แก้ไข รีเซ็ทต่างๆ โดยไม่ต้องบอกล่วงหน้า</li>
					<li class="list-group-item">ห้ามใช้บอท,โปรแกรม ในการช่วยเล่นต่างๆหากพบเจอแบนทันที</li>
					<li class="list-group-item">ห้ามซื้อขายของในเกมเป็นบัตรหรือเงินจริง หากพบเจอแบนทันทีทั้งผู้ซื้อและผู้ขาย</li>
					<li class="list-group-item">หากพบบัค หรือ ความผิดปกติของเซิฟกรุณาแจ้งทีมงานหน้า Discord หรือ Facebook Page ทันที</li>
					<li class="list-group-item">ห้ามใช้บัคในการแสวงหาผลประโยชน์ ไม่ว่าทางใดก็ตาม หรือไม่แจ้งแล้วนำมาก่อกวนในเซิฟเวอร์ ไม่ว่าทางตรงหรือทางอ้อม หากพบเจอ แบนทันที</li>
					<li class="list-group-item">ทางทีมงานจะไม่รับผิดชอบในกรณีไอเท็มหาย ไม่ว่าจะเกิดจากระบบ หรือ เกิดจาก ผู้เล่นเอง</li>
					<li class="list-group-item">ทางทีมงานจะไม่รับแจ้งปัญหา ถูกแฮค หรือ ถูกโกงเพราะถือว่าเป็นความผิดพลาดจากตัวผู้เล่นเอง</li>
					<li class="list-group-item">ห้ามกระทำการใดๆที่เข้าข่ายหลอกลวง ไม่ว่าสร้างตัวละครมาแอบอ้างว่าเป็นทีมงานหรือตั้งชื่อให้เหมือนกับตัวละครคนอื่นแล้วเอาไปหลอกผู้เล่นอื่นหรือการตั้งร้านขายของตัน แต่บอกว่าของรู เป็นต้น</li>
				</ul>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">ปิดหน้าต่าง</button>
			</div>
		</div>
	</div>
</div>
<?php
require './template/footer.php';
?>